GNU bug report logs - #55936
dockerd fails to start on boot

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Luciano Laratelli <luciano@HIDDEN>; merged with #38432; dated Mon, 13 Jun 2022 00:22:02 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 55936 <at> debbugs.gnu.org:


Received: (at 55936) by debbugs.gnu.org; 24 Jun 2022 05:12:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 24 01:12:08 2022
Received: from localhost ([127.0.0.1]:40529 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o4bc0-0002Vj-Gf
	for submit <at> debbugs.gnu.org; Fri, 24 Jun 2022 01:12:08 -0400
Received: from mail-qv1-f52.google.com ([209.85.219.52]:34696)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1o4bbw-0002VD-OC
 for 55936 <at> debbugs.gnu.org; Fri, 24 Jun 2022 01:12:06 -0400
Received: by mail-qv1-f52.google.com with SMTP id t16so3187005qvh.1
 for <55936 <at> debbugs.gnu.org>; Thu, 23 Jun 2022 22:12:04 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=nNDZtLM2Fk8lvIX5rrRlUgDvAmwUHvc0swANaNnOfTQ=;
 b=TtFKR3vjFTqTSks2xtTqFIQFrUHfWdqnERO4QekLY8PgiM7x/+i4uxKjzqZhIaHp+V
 L/uZLK8LyvE2rW7uxJt9GjPwpRgG7jFjIQSGHS9mJGqnIhT+wBB5sQX5FSDd457yYVqb
 NGQ9SEIMt2WBbEOV0vGcqNfvNnp6u8rj27KrJREzCqica/KtZp0WtbvBDJqr6JNgsk+O
 BMPEKuk7zDrvf+alRZj99Ew5L1d8+tnDR5wGrTqtIor5NhVBL3Rt9NoeHgv5gr8i1/s0
 4aWKcm6KaRUumb2kjMDmH5wUBj3wGbnQIF4hmC0i8jx23+U7cjX5KD96ZoQYzn/8b0WP
 NtqA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=nNDZtLM2Fk8lvIX5rrRlUgDvAmwUHvc0swANaNnOfTQ=;
 b=InGK2ibQhqYApCOhUdanysldDFKIuKa3Pa6CxdOnV/zzHh07P0uvC6ZilpH4wvAvB/
 Ptxd9SsKsZpAKGWfnAMie5Cjlsu4S5xgbUI+72aOmBqGN8XQAX+sOPULsaYaBx7vhQUz
 d6PzNcxxfl0TjgzbMRIRzMpQ+eM2nL0DHROZYgORNgeY0CWbS0ccIv22DMLqbqB3G1TP
 SE6IoM5hf7iG+beMz2TjQGwOaH5yNOJLchQBsUhirrTFy377j9nOWIKP1QZdsq0eKHcS
 +tmggpVPcHvAJFptToPioP+18a8yKB1/blAJfsmtmAGINb0jw7CDsbnbBGVgg3yzns0c
 svdA==
X-Gm-Message-State: AJIora8UMUtIiXjwhSiVgfr7kUS+tc6iSifGRYWVuMWsuScK0PG7E+c9
 aXyPinES+p4n3D3vX5GDkrw2Q5cTbr4j49fVOyE=
X-Google-Smtp-Source: AGRyM1t4imdtZF5ewzvr09BP4xcQHjPFoJJw4NjfDWOWg3buK9HtPP5eUYGUtBmAAaS5UT+5D1upgQ==
X-Received: by 2002:a05:622a:118f:b0:317:cb6c:8027 with SMTP id
 m15-20020a05622a118f00b00317cb6c8027mr150012qtk.305.1656047519078; 
 Thu, 23 Jun 2022 22:11:59 -0700 (PDT)
Received: from hurd (dsl-158-129.b2b2c.ca. [66.158.158.129])
 by smtp.gmail.com with ESMTPSA id
 f3-20020a05622a1a0300b003173c448126sm801320qtb.57.2022.06.23.22.11.58
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 23 Jun 2022 22:11:58 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: Luciano Laratelli <luciano@HIDDEN>
Subject: Re: bug#55936: dockerd fails to start on boot
References: <87h74pa3rp.fsf@HIDDEN>
Date: Fri, 24 Jun 2022 01:11:57 -0400
In-Reply-To: <87h74pa3rp.fsf@HIDDEN> (Luciano Laratelli's message of
 "Sun, 12 Jun 2022 18:56:38 -0400")
Message-ID: <87sfnuzluq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55936
Cc: 55936 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello,

Luciano Laratelli <luciano@HIDDEN> writes:

> Hi, hope you are doing well.
>
> I=E2=80=99m running Guix System and am seeing that `dockerd' fails to sta=
rt on boot due to not being able to find `containerd':
>
> $ sudo tail /var/log/docker.log
> 2022-06-12 18:25:29 time=3D=E2=80=9C2022-06-12T18:25:29.969005384-04:00=
=E2=80=9D level=3Dwarning msg=3D=E2=80=9CError (Unable to complete atomic o=
peration, key modified) deleting object [endpoint 062e6856b7776daf35f1d570d=
c7e055d3c0f3eefc0f58c5e279eba20035c8e9e eb10082295c7a53d882e36d93a8b5eb20e9=
80a5950c4a67fa03444274448b232], retrying=E2=80=A6.=E2=80=9D
> 2022-06-12 18:25:30 time=3D=E2=80=9C2022-06-12T18:25:30.068910364-04:00=
=E2=80=9D level=3Dinfo msg=3D=E2=80=9CRemoving stale sandbox e35667a7ef1441=
bced213cf035efc9d6c71a0dce7f8941e3fbb63f5a27265bca (91314e5594f72585f9df121=
ba16cc8d67c4e1fcb91fc3c7b9b0660aed1b3054a)=E2=80=9D
> 2022-06-12 18:25:30 time=3D=E2=80=9C2022-06-12T18:25:30.080685302-04:00=
=E2=80=9D level=3Dwarning msg=3D=E2=80=9CError (Unable to complete atomic o=
peration, key modified) deleting object [endpoint 062e6856b7776daf35f1d570d=
c7e055d3c0f3eefc0f58c5e279eba20035c8e9e 825f4a6f68b1b81b24b2edc0b382deca116=
e72a75e6207036f24e18ba6434c81], retrying=E2=80=A6.=E2=80=9D
> 2022-06-12 18:25:30 time=3D=E2=80=9C2022-06-12T18:25:30.143624227-04:00=
=E2=80=9D level=3Dinfo msg=3D=E2=80=9CDefault bridge (docker0) is assigned =
with an IP address 172.17.0.0/16. Daemon option =E2=80=93bip can be used to=
 set a preferred IP address=E2=80=9D
> 2022-06-12 18:25:31 time=3D=E2=80=9C2022-06-12T18:25:31.400700443-04:00=
=E2=80=9D level=3Dinfo msg=3D=E2=80=9CLoading containers: done.=E2=80=9D
> 2022-06-12 18:25:31 time=3D=E2=80=9C2022-06-12T18:25:31.689183684-04:00=
=E2=80=9D level=3Dinfo msg=3D=E2=80=9CDocker daemon=E2=80=9D commit=3Dv19.0=
3.15 graphdriver(s)=3Doverlay2 version=3D19.03.15-ce
> 2022-06-12 18:25:31 time=3D=E2=80=9C2022-06-12T18:25:31.691171101-04:00=
=E2=80=9D level=3Dinfo msg=3D=E2=80=9CDaemon has completed initialization=
=E2=80=9D
> 2022-06-12 18:25:31 time=3D=E2=80=9C2022-06-12T18:25:31.961049886-04:00=
=E2=80=9D level=3Dinfo msg=3D=E2=80=9CAPI listen on /var/run/docker.sock=E2=
=80=9D
> 2022-06-12 18:43:43 time=3D=E2=80=9C2022-06-12T18:43:43.503118343-04:00=
=E2=80=9D level=3Dinfo msg=3D=E2=80=9CStarting up=E2=80=9D
> 2022-06-12 18:43:43 failed to start containerd: exec: =E2=80=9Ccontainerd=
=E2=80=9D: executable file not found in $PATH

It seems there's a race condition between containerd and docker (the
later starts before the former is done launching and it fails to see it,
aborting, if I understand).  We should see if we can migrate the
dockerd-service-type to use the newly introduced systemd-style
constructor.

Thanks,

Maxim




Information forwarded to bug-guix@HIDDEN:
bug#55936; Package guix. Full text available.
Merged 38432 55936. Request was from Maxim Cournoyer <maxim.cournoyer@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Jun 2022 00:21:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 12 20:21:37 2022
Received: from localhost ([127.0.0.1]:56711 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o0Xpo-0001yY-Gs
	for submit <at> debbugs.gnu.org; Sun, 12 Jun 2022 20:21:37 -0400
Received: from lists.gnu.org ([209.51.188.17]:38600)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luciano@HIDDEN>) id 1o0WWs-0008Q7-Og
 for submit <at> debbugs.gnu.org; Sun, 12 Jun 2022 18:58:00 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:48540)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <luciano@HIDDEN>)
 id 1o0WWq-0006pA-K2
 for bug-guix@HIDDEN; Sun, 12 Jun 2022 18:57:58 -0400
Received: from qs51p00im-qukt01080102.me.com ([17.57.155.19]:57203)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <luciano@HIDDEN>)
 id 1o0WWo-0000N8-Bs
 for bug-guix@HIDDEN; Sun, 12 Jun 2022 18:57:56 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=laratel.li; s=sig1;
 t=1655074671; bh=rDNk1CyUmhOM04z+uz9o3Kd3zTj8V+hutFo4UDAOD5M=;
 h=From:To:Subject:Date:Message-ID:MIME-Version:Content-Type;
 b=hGAS3WdTi4vsMzbeMnu0ZWmEAhXsSImeRQ9QUAPB8LZ6bqaBhUx/+e5JraRx4Yif5
 tOasrupYj4zX0Av4jl1EpIxT91OKOx+yx75MT2+Cx/Jp4ROtRh47uxFh12vU55ubK5
 LqPykPmL3N49oTUEG6NmaM8Z8R0wpJWs3tV3PoieWXC/mhUd7NwEZ25GBfiq8lHCJa
 kEJVN4OLT5xGDTOjXj2uA3mEcEO6V6x60qYPWD78kfU8cszLGu+M63Q9rPIco+V2Nb
 X9VyyWjfArQvLlW3JqZUg4lDMMhRS9we2aNOKKgX+NIUk5QvhA3ICAKA/JCFdM+gJO
 N3G2g1s/s5QXg==
Received: from localhost (qs51p00im-dlb-asmtp-mailmevip.me.com [17.57.155.28])
 by qs51p00im-qukt01080102.me.com (Postfix) with ESMTPSA id
 006311CC0118
 for <bug-guix@HIDDEN>; Sun, 12 Jun 2022 22:57:49 +0000 (UTC)
From: Luciano Laratelli <luciano@HIDDEN>
To: bug-guix@HIDDEN
Subject: dockerd fails to start on boot
Date: Sun, 12 Jun 2022 18:56:38 -0400
User-agent: mu4e 1.6.11; emacs 28.1.50
Message-ID: <87h74pa3rp.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/alternative; boundary="=-=-="
X-Proofpoint-ORIG-GUID: g8HBIKMeMDjT0tJslj7xaKuoitFCxLQR
X-Proofpoint-GUID: g8HBIKMeMDjT0tJslj7xaKuoitFCxLQR
X-Proofpoint-Virus-Version: =?UTF-8?Q?vendor=3Dfsecure_engine=3D1.1.170-22c6f66c430a71ce266a39bfe25bc?=
 =?UTF-8?Q?2903e8d5c8f:6.0.138,18.0.790,17.11.62.513.0000000_definitions?=
 =?UTF-8?Q?=3D2022-01-12=5F02:2020-02-14=5F02,2022-01-12=5F02,2021-12-02?=
 =?UTF-8?Q?=5F01_signatures=3D0?=
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 mlxlogscore=593
 bulkscore=0
 clxscore=1030 suspectscore=0 adultscore=0 phishscore=0 malwarescore=0
 mlxscore=0 spamscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.12.0-2202240000 definitions=main-2206120109
Received-SPF: pass client-ip=17.57.155.19; envelope-from=luciano@HIDDEN;
 helo=qs51p00im-qukt01080102.me.com
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, HTML_MESSAGE=0.001,
 RCVD_IN_DNSWL_LOW=-0.7, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sun, 12 Jun 2022 20:21:35 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

Hi, hope you are doing well.

I=E2=80=99m running Guix System and am seeing that `dockerd' fails to start=
 on boot due to not being able to find `containerd':

$ sudo tail /var/log/docker.log
2022-06-12 18:25:29 time=3D=E2=80=9C2022-06-12T18:25:29.969005384-04:00=E2=
=80=9D level=3Dwarning msg=3D=E2=80=9CError (Unable to complete atomic oper=
ation, key modified) deleting object [endpoint 062e6856b7776daf35f1d570dc7e=
055d3c0f3eefc0f58c5e279eba20035c8e9e eb10082295c7a53d882e36d93a8b5eb20e980a=
5950c4a67fa03444274448b232], retrying=E2=80=A6.=E2=80=9D
2022-06-12 18:25:30 time=3D=E2=80=9C2022-06-12T18:25:30.068910364-04:00=E2=
=80=9D level=3Dinfo msg=3D=E2=80=9CRemoving stale sandbox e35667a7ef1441bce=
d213cf035efc9d6c71a0dce7f8941e3fbb63f5a27265bca (91314e5594f72585f9df121ba1=
6cc8d67c4e1fcb91fc3c7b9b0660aed1b3054a)=E2=80=9D
2022-06-12 18:25:30 time=3D=E2=80=9C2022-06-12T18:25:30.080685302-04:00=E2=
=80=9D level=3Dwarning msg=3D=E2=80=9CError (Unable to complete atomic oper=
ation, key modified) deleting object [endpoint 062e6856b7776daf35f1d570dc7e=
055d3c0f3eefc0f58c5e279eba20035c8e9e 825f4a6f68b1b81b24b2edc0b382deca116e72=
a75e6207036f24e18ba6434c81], retrying=E2=80=A6.=E2=80=9D
2022-06-12 18:25:30 time=3D=E2=80=9C2022-06-12T18:25:30.143624227-04:00=E2=
=80=9D level=3Dinfo msg=3D=E2=80=9CDefault bridge (docker0) is assigned wit=
h an IP address 172.17.0.0/16. Daemon option =E2=80=93bip can be used to se=
t a preferred IP address=E2=80=9D
2022-06-12 18:25:31 time=3D=E2=80=9C2022-06-12T18:25:31.400700443-04:00=E2=
=80=9D level=3Dinfo msg=3D=E2=80=9CLoading containers: done.=E2=80=9D
2022-06-12 18:25:31 time=3D=E2=80=9C2022-06-12T18:25:31.689183684-04:00=E2=
=80=9D level=3Dinfo msg=3D=E2=80=9CDocker daemon=E2=80=9D commit=3Dv19.03.1=
5 graphdriver(s)=3Doverlay2 version=3D19.03.15-ce
2022-06-12 18:25:31 time=3D=E2=80=9C2022-06-12T18:25:31.691171101-04:00=E2=
=80=9D level=3Dinfo msg=3D=E2=80=9CDaemon has completed initialization=E2=
=80=9D
2022-06-12 18:25:31 time=3D=E2=80=9C2022-06-12T18:25:31.961049886-04:00=E2=
=80=9D level=3Dinfo msg=3D=E2=80=9CAPI listen on /var/run/docker.sock=E2=80=
=9D
2022-06-12 18:43:43 time=3D=E2=80=9C2022-06-12T18:43:43.503118343-04:00=E2=
=80=9D level=3Dinfo msg=3D=E2=80=9CStarting up=E2=80=9D
2022-06-12 18:43:43 failed to start containerd: exec: =E2=80=9Ccontainerd=
=E2=80=9D: executable file not found in $PATH

$ sudo docker ps
Cannot connect to the Docker daemon at unix:///var/run/docker.sock. Is the =
docker daemon running?

$ sudo herd status dockerd
Status of dockerd:
  It is stopped.
  It is enabled.
  Provides (dockerd).
  Requires (containerd dbus-system elogind file-system-/sys/fs/cgroup/blkio=
 file-system-/sys/fs/cgroup/cpu file-system-/sys/fs/cgroup/cpuset file-syst=
em-/sys/fs/cgroup/devices file-system-/sys/fs/cgroup/memory file-system-/sy=
s/fs/cgroup/pids networking udev).
  Conflicts with ().
  Will be respawned.


I can start it myself, though:


$ sudo herd start dockerd
Service dockerd has been started.


I found a [past issue] on this list with someone experiencing a similar pro=
blem,
but adding `kmod' as suggested did not resolve the issue on my end..

Here=E2=80=99s my config.scm - I=E2=80=99ve redcated my host name and file-=
system/swap-devices
blocks, but everything else is verbatim what the machine is running.

(use-modules (gnu)
             (nongnu packages linux)
             (nongnu system linux-initrd))

(use-service-modules desktop networking ssh xorg docker)

(operating-system
 (kernel linux)
 (firmware (list linux-firmware))
 (initrd microcode-initrd)
 (locale =E2=80=9Cen_US.utf8=E2=80=9D)
 (timezone =E2=80=9CAmerica/New_York=E2=80=9D)
 (keyboard-layout (keyboard-layout =E2=80=9Cus=E2=80=9D))

(users (cons* (user-account
               (name =E2=80=9Cluciano=E2=80=9D)
               (comment =E2=80=9CLuciano Laratelli=E2=80=9D)
               (group =E2=80=9Cusers=E2=80=9D)
               (home-directory =E2=80=9C/home/luciano=E2=80=9D)
               (supplementary-groups
                =E2=80=99(=E2=80=9Cwheel=E2=80=9D =E2=80=9Cnetdev=E2=80=9D =
=E2=80=9Caudio=E2=80=9D =E2=80=9Cvideo=E2=80=9D)))
              %base-user-accounts))
(packages
 (append
  (list (specification->package =E2=80=9Cst=E2=80=9D)
        (specification->package =E2=80=9Cnss-certs=E2=80=9D)
        (specification->package =E2=80=9Cdocker=E2=80=9D)
        (specification->package =E2=80=9Cdocker-compose=E2=80=9D)
        (specification->package =E2=80=9Ccontainerd=E2=80=9D)
        (specification->package =E2=80=9Ckmod=E2=80=9D)
        (specification->package =E2=80=9Cvim=E2=80=9D)
        (specification->package =E2=80=9Cemacs-no-x-toolkit=E2=80=9D)
        (specification->package =E2=80=9Cparted=E2=80=9D))
  %base-packages))
(services
 (append
  (list (service openssh-service-type
                 (openssh-configuration
                  (password-authentication? #f)))

        (service network-manager-service-type)
        (service wpa-supplicant-service-type)
        (service docker-service-type)
        (elogind-service)
        (set-xorg-configuration
         (xorg-configuration
          (keyboard-layout keyboard-layout))))
  (modify-services
   %base-services
   (guix-service-type
    config =3D>
    (guix-configuration
     (inherit config)
     (substitute-urls
      (append
       (list "<https://substitutes.nonguix.org>=E2=80=9D)
       %default-substitute-urls))
     (authorized-keys
      (append
       (list (plain-file =E2=80=9Csigning-key.pub=E2=80=9D =E2=80=9C
                 (public-key
                   (ecc
                     (curve Ed25519)
                     (q #C1FD53E5D4CE971933EC50C9F307AE2171A2D3B52C804642A7=
A35F84F3A4EA98#)
                     )
                   )=E2=80=9D))
       %default-authorized-guix-keys)))))))
(bootloader
 (bootloader-configuration
  (bootloader grub-efi-bootloader)
  (targets =E2=80=99(=E2=80=9C/boot/efi=E2=80=9D))
  (keyboard-layout keyboard-layout))))


I=E2=80=99m not sure how to debug this issue any further and would apprecia=
te some pointers there.

Thank you,

Luciano


[past issue] <https://issues.guix.gnu.org/issue/34333>

--=-=-=
Content-Type: text/html; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

<html xmlns=3D"http://www.w3.org/1999/xhtml" lang=3D"en" xml:lang=3D"en"><h=
ead><!-- 2022-06-12 Sun 18:57 --><meta http-equiv=3D"Content-Type" content=
=3D"text/html;charset=3Dutf-8"/><meta name=3D"viewport" content=3D"width=3D=
device-width, initial-scale=3D1"/><meta name=3D"generator" content=3D"Org M=
ode"/></head><body>
<div style=3D"font-family:-apple-system, BlinkMacSystemFont, &quot;Segoe UI=
&quot;, Roboto, Oxygen, Ubuntu, Cantarell,        &quot;Fira Sans&quot;, &q=
uot;Droid Sans&quot;, &quot;Helvetica Neue&quot;, Arial, sans-serif, &quot;=
Apple Color Emoji&quot;, &quot;Segoe UI Emoji&quot;, &quot;Segoe UI Symbol&=
quot;;;font-size:11pt;line-height:12pt;" id=3D"content">
<p style=3D"text-decoration:none;line-height:1.4;margin-top:10px;margin-bot=
tom:0px;font-size:11pt;max-width:50em;">
Hi, hope you are doing well.
</p>

<p style=3D"text-decoration:none;line-height:1.4;margin-top:10px;margin-bot=
tom:0px;font-size:11pt;max-width:50em;">
I=E2=80=99m running Guix System and am seeing that <code style=3D"font-size=
:11pt;font-family:SFMono-Regular, Menlo, Monaco, Consolas, &quot;Liberation=
 Mono&quot;, &quot;Courier New&quot;, monospace;;background:#f9f9f9;">docke=
rd</code> fails to start on boot due to not being able to find <code style=
=3D"font-size:11pt;font-family:SFMono-Regular, Menlo, Monaco, Consolas, &qu=
ot;Liberation Mono&quot;, &quot;Courier New&quot;, monospace;;background:#f=
9f9f9;">containerd</code>:
</p>

<p style=3D"text-decoration:none;line-height:1.4;margin-top:10px;margin-bot=
tom:0px;font-size:11pt;max-width:50em;">
$ sudo tail /var/log/docker.log
2022-06-12 18:25:29 time=3D=E2=80=9C2022-06-12T18:25:29.969005384-04:00=E2=
=80=9D level=3Dwarning msg=3D=E2=80=9CError (Unable to complete atomic oper=
ation, key modified) deleting object [endpoint 062e6856b7776daf35f1d570dc7e=
055d3c0f3eefc0f58c5e279eba20035c8e9e eb10082295c7a53d882e36d93a8b5eb20e980a=
5950c4a67fa03444274448b232], retrying=E2=80=A6.=E2=80=9D
2022-06-12 18:25:30 time=3D=E2=80=9C2022-06-12T18:25:30.068910364-04:00=E2=
=80=9D level=3Dinfo msg=3D=E2=80=9CRemoving stale sandbox e35667a7ef1441bce=
d213cf035efc9d6c71a0dce7f8941e3fbb63f5a27265bca (91314e5594f72585f9df121ba1=
6cc8d67c4e1fcb91fc3c7b9b0660aed1b3054a)=E2=80=9D
2022-06-12 18:25:30 time=3D=E2=80=9C2022-06-12T18:25:30.080685302-04:00=E2=
=80=9D level=3Dwarning msg=3D=E2=80=9CError (Unable to complete atomic oper=
ation, key modified) deleting object [endpoint 062e6856b7776daf35f1d570dc7e=
055d3c0f3eefc0f58c5e279eba20035c8e9e 825f4a6f68b1b81b24b2edc0b382deca116e72=
a75e6207036f24e18ba6434c81], retrying=E2=80=A6.=E2=80=9D
2022-06-12 18:25:30 time=3D=E2=80=9C2022-06-12T18:25:30.143624227-04:00=E2=
=80=9D level=3Dinfo msg=3D=E2=80=9CDefault bridge (docker0) is assigned wit=
h an IP address 172.17.0.0/16. Daemon option =E2=80=93bip can be used to se=
t a preferred IP address=E2=80=9D
2022-06-12 18:25:31 time=3D=E2=80=9C2022-06-12T18:25:31.400700443-04:00=E2=
=80=9D level=3Dinfo msg=3D=E2=80=9CLoading containers: done.=E2=80=9D
2022-06-12 18:25:31 time=3D=E2=80=9C2022-06-12T18:25:31.689183684-04:00=E2=
=80=9D level=3Dinfo msg=3D=E2=80=9CDocker daemon=E2=80=9D commit=3Dv19.03.1=
5 graphdriver(s)=3Doverlay2 version=3D19.03.15-ce
2022-06-12 18:25:31 time=3D=E2=80=9C2022-06-12T18:25:31.691171101-04:00=E2=
=80=9D level=3Dinfo msg=3D=E2=80=9CDaemon has completed initialization=E2=
=80=9D
2022-06-12 18:25:31 time=3D=E2=80=9C2022-06-12T18:25:31.961049886-04:00=E2=
=80=9D level=3Dinfo msg=3D=E2=80=9CAPI listen on /var/run/docker.sock=E2=80=
=9D
2022-06-12 18:43:43 time=3D=E2=80=9C2022-06-12T18:43:43.503118343-04:00=E2=
=80=9D level=3Dinfo msg=3D=E2=80=9CStarting up=E2=80=9D
2022-06-12 18:43:43 failed to start containerd: exec: =E2=80=9Ccontainerd=
=E2=80=9D: executable file not found in $PATH
</p>

<p style=3D"text-decoration:none;line-height:1.4;margin-top:10px;margin-bot=
tom:0px;font-size:11pt;max-width:50em;">
$ sudo docker ps
Cannot connect to the Docker daemon at unix:///var/run/docker.sock. Is the =
docker daemon running?
</p>

<p style=3D"text-decoration:none;line-height:1.4;margin-top:10px;margin-bot=
tom:0px;font-size:11pt;max-width:50em;">
$ sudo herd status dockerd
Status of dockerd:
  It is stopped.
  It is enabled.
  Provides (dockerd).
  Requires (containerd dbus-system elogind file-system-/sys/fs/cgroup/blkio=
 file-system-/sys/fs/cgroup/cpu file-system-/sys/fs/cgroup/cpuset file-syst=
em-/sys/fs/cgroup/devices file-system-/sys/fs/cgroup/memory file-system-/sy=
s/fs/cgroup/pids networking udev).
  Conflicts with ().
  Will be respawned.
</p>


<p style=3D"text-decoration:none;line-height:1.4;margin-top:10px;margin-bot=
tom:0px;font-size:11pt;max-width:50em;">
I can start it myself, though:
</p>


<p style=3D"text-decoration:none;line-height:1.4;margin-top:10px;margin-bot=
tom:0px;font-size:11pt;max-width:50em;">
$ sudo herd start dockerd
Service dockerd has been started.
</p>


<p style=3D"text-decoration:none;line-height:1.4;margin-top:10px;margin-bot=
tom:0px;font-size:11pt;max-width:50em;">
I found a <a style=3D"color:#c01c28;" href=3D"https://issues.guix.gnu.org/i=
ssue/34333">past issue</a> on this list with someone experiencing a similar=
 problem,
but adding <code style=3D"font-size:11pt;font-family:SFMono-Regular, Menlo,=
 Monaco, Consolas, &quot;Liberation Mono&quot;, &quot;Courier New&quot;, mo=
nospace;;background:#f9f9f9;">kmod</code> as suggested did not resolve the =
issue on my end..
</p>

<p style=3D"text-decoration:none;line-height:1.4;margin-top:10px;margin-bot=
tom:0px;font-size:11pt;max-width:50em;">
Here=E2=80=99s my config.scm - I=E2=80=99ve redcated my host name and file-=
system/swap-devices
blocks, but everything else is verbatim what the machine is running.
</p>

<p style=3D"text-decoration:none;line-height:1.4;margin-top:10px;margin-bot=
tom:0px;font-size:11pt;max-width:50em;">
(use-modules (gnu)
             (nongnu packages linux)
             (nongnu system linux-initrd))
</p>

<p style=3D"text-decoration:none;line-height:1.4;margin-top:10px;margin-bot=
tom:0px;font-size:11pt;max-width:50em;">
(use-service-modules desktop networking ssh xorg docker)
</p>

<p style=3D"text-decoration:none;line-height:1.4;margin-top:10px;margin-bot=
tom:0px;font-size:11pt;max-width:50em;">
(operating-system
 (kernel linux)
 (firmware (list linux-firmware))
 (initrd microcode-initrd)
 (locale =E2=80=9Cen_US.utf8=E2=80=9D)
 (timezone =E2=80=9CAmerica/New_York=E2=80=9D)
 (keyboard-layout (keyboard-layout =E2=80=9Cus=E2=80=9D))
</p>

<p style=3D"text-decoration:none;line-height:1.4;margin-top:10px;margin-bot=
tom:0px;font-size:11pt;max-width:50em;">
(users (cons* (user-account
               (name =E2=80=9Cluciano=E2=80=9D)
               (comment =E2=80=9CLuciano Laratelli=E2=80=9D)
               (group =E2=80=9Cusers=E2=80=9D)
               (home-directory =E2=80=9C/home/luciano=E2=80=9D)
               (supplementary-groups
                =E2=80=99(=E2=80=9Cwheel=E2=80=9D =E2=80=9Cnetdev=E2=80=9D =
=E2=80=9Caudio=E2=80=9D =E2=80=9Cvideo=E2=80=9D)))
              %base-user-accounts))
(packages
 (append
  (list (specification-&gt;package =E2=80=9Cst=E2=80=9D)
        (specification-&gt;package =E2=80=9Cnss-certs=E2=80=9D)
        (specification-&gt;package =E2=80=9Cdocker=E2=80=9D)
        (specification-&gt;package =E2=80=9Cdocker-compose=E2=80=9D)
        (specification-&gt;package =E2=80=9Ccontainerd=E2=80=9D)
        (specification-&gt;package =E2=80=9Ckmod=E2=80=9D)
        (specification-&gt;package =E2=80=9Cvim=E2=80=9D)
        (specification-&gt;package =E2=80=9Cemacs-no-x-toolkit=E2=80=9D)
        (specification-&gt;package =E2=80=9Cparted=E2=80=9D))
  %base-packages))
(services
 (append
  (list (service openssh-service-type
                 (openssh-configuration
                  (password-authentication? #f)))
</p>

<p style=3D"text-decoration:none;line-height:1.4;margin-top:10px;margin-bot=
tom:0px;font-size:11pt;max-width:50em;">
        (service network-manager-service-type)
        (service wpa-supplicant-service-type)
        (service docker-service-type)
        (elogind-service)
        (set-xorg-configuration
         (xorg-configuration
          (keyboard-layout keyboard-layout))))
  (modify-services
   %base-services
   (guix-service-type
    config =3D&gt;
    (guix-configuration
     (inherit config)
     (substitute-urls
      (append
       (list &quot;<a style=3D"color:#c01c28;" href=3D"https://substitutes.=
nonguix.org">https://substitutes.nonguix.org</a>=E2=80=9D)
       %default-substitute-urls))
     (authorized-keys
      (append
       (list (plain-file =E2=80=9Csigning-key.pub=E2=80=9D =E2=80=9C
                 (public-key
                   (ecc
                     (curve Ed25519)
                     (q #C1FD53E5D4CE971933EC50C9F307AE2171A2D3B52C804642A7=
A35F84F3A4EA98#)
                     )
                   )=E2=80=9D))
       %default-authorized-guix-keys)))))))
(bootloader
 (bootloader-configuration
  (bootloader grub-efi-bootloader)
  (targets =E2=80=99(=E2=80=9C/boot/efi=E2=80=9D))
  (keyboard-layout keyboard-layout))))
</p>


<p style=3D"text-decoration:none;line-height:1.4;margin-top:10px;margin-bot=
tom:0px;font-size:11pt;max-width:50em;">
I=E2=80=99m not sure how to debug this issue any further and would apprecia=
te some pointers there.
</p>

<p style=3D"text-decoration:none;line-height:1.4;margin-top:10px;margin-bot=
tom:0px;font-size:11pt;max-width:50em;">
Thank you,
</p>

<p style=3D"text-decoration:none;line-height:1.4;margin-top:10px;margin-bot=
tom:0px;font-size:11pt;max-width:50em;">
Luciano
</p>
</div>
</body></html>
--=-=-=--




Acknowledgement sent to Luciano Laratelli <luciano@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#55936; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 24 Jun 2022 05:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.